These libraries aim to wrap the Canvas element and extend it one way or another. Some focus on making it easier to use while others add extra functionality as well.

Name | Latest Release | Size (KB) | License | Unit Tests | Deps | IE | SVG | Docs | Notes |
:-----------|:------------|:-------------|:-------------|:-------------|:-------------|:-------------|:-------------|:-------------|:-------------|
[Artisan.js](http://github.com/davidbrooks/Artisan)          ||17||no|
[BitmapData.js](http://peternitsch.net/bitmapdata.js/)    |||||||||Canvas implementation of AS3 BitmapData class.
[CanvasContext2DWrapper](https://github.com/millermedeiros/CanvasContext2DWrapper) |||||||||Method chaining for Canvas
[canto.js](http://code.google.com/p/canto-js/)              |0.15 (2010-10-18)|56||yes|
[canvas_library](https://github.com/dkln/canvas_library)             |||||||||Canvas abstraction
[canvaScript](http://jcscript.com/)                |
[drawlib2dv](https://bitbucket.org/imcdowall/drawlib2dv)                 |||||||||2D vector graphics
[easel.js](http://easeljs.com/)              ||33|MIT|no||no|no|yes|An attempt to create a Flash like DisplayList API for the Canvas element (making it pretty easy to manage a lot of items).
[Fabric.js](http://github.com/kangax/fabric.js/)            |0.6|76|MIT|yes||yes|yes|yes|[Demo](http://kangax.github.com/fabric.js/test/demo/). Note that this handles SVG too.
[fxCanvas](http://burzak.com/proj/fxcanvas/)                   |0.2|||||yes|||Flash based implementation of Canvas for IE.
[gee.js](https://github.com/georgealways/gee)                  |
[gury.js](http://github.com/rsandor/gury/blob/master/gury.js)                ||10||no||||yes|
[HTML5 Canvas Library](https://canvastoolkit.codeplex.com/)||12|
[KineticJS](http://www.kineticjs.com/)|
[Layered Canvas Library](http://code.google.com/p/layered-canvas-library/)  ||21|||||||Not maintained anymore
[Libcanvas](https://github.com/beatgammit/libcanvas)                  |||||||||Convenience methods
[libCanvas](https://github.com/theshock/libcanvas)|||LGPL||AtomJS|no|no||Canvas library
[Mootools Canvas Library](http://forvar.de/js/mcl/) ||8|||Mootools|
[multi-layer-canvas](http://code.google.com/p/multi-layer-canvas/)      |
[oCanvas](http://ocanvas.org/)                    |1.0|55|MIT|no||no|no|yes|Object-based canvas drawing
[Paper.js](http://paperjs.org/)            |
[webgl-2d](https://github.com/gameclosure/webgl-2d)                   |||||||||Canvas in WebGL
[kapi](http://jeremyckahn.github.com/kapi/)                    |1.0.7|20|MIT|no|no|no|no|yes|A keyframing API for the canvas.  Provides a timeline that is similar to Flash.

## Applications

These applications use Canvas one way or another:

* [CanvasDraw](http://www.ratemydrawings.com/) - Sketching application for RateMyDrawings. Requires registration.
* [Harmony](http://mrdoob.com/projects/harmony/) - Mr Doob's famous procedural app.
* [kMOD](http://lostconnectionblog.blogspot.com/2010/07/harmony-kmod.html) - Harmony fork.
* [Muro](http://muro.deviantart.com/) - Sketching application for DeviantArt.
* [Pixie](http://pixieengine.com/pixel-editor) - HTML5 based pixel editor. [Source](https://github.com/STRd6/pixie.strd6.com)
* [rhyolight's Harmony fork with some mods by bebraw](http://storage.dangertree.net/harmonyStrokes/harmony.html#stringy) - Some extra brushes + mirroring features.
* [Sketchpad](http://mugtug.com/sketchpad/) - Sketching application.
* [Pinelo](http://apps.facebook.com/pineloapp/) - Facebook Procedural Drawing App. Needs Facebook account.
* [Generative Boids](http://tholman.com/experiments/html5/generative/01/)
* [Walma](https://github.com/opinsys/walma) - Collaborative whiteboard. GPLv2+
* [Picozu Editor](http://www.picozu.com/editor) - Online photo editor
* [Pixlr Editor](http://pixlr.com/editor/)
* [Pixlr O-Matic](http://pixlr.com/o-matic/)
* [Drawmore](https://github.com/kig/scribble)
* [Kleki](http://kleki.com/)

## Resources

* [21 Incredible HTML5 Experiments](http://spyrestudios.com/21-incredible-html5-experiments/)
* [Improving HTML5 Canvas Performance](http://www.html5rocks.com/en/tutorials/canvas/performance/)
* [Calculated drop shadows in HTML5 canvas](http://hacks.mozilla.org/2011/08/calculated-drop-shadows-in-html5-canvas/)
* [Understanding the HTML5 Canvas image security rules](http://simonsarris.com/blog/480-understanding-the-html5-canvas-image-security-rules)
* [Canvas Cycle](http://www.effectgames.com/demos/canvascycle/) - Old Skool color cycling demo

## Other

* [html2canvas](http://html2canvas.hertzen.com/) - Screenshots with JavaScript
* [node-canvas](https://github.com/LearnBoost/node-canvas) - Implementation of Canvas in Node.
* [$.getImageData](http://www.maxnov.com/getimagedata/)
* [js-imagediff](https://github.com/HumbleSoftware/js-imagediff)
* [escapes.js](http://atdt.github.com/escapes.js/) - Renders ANSI art