Hi there! Welcome to jswiki.

This wiki indexes libraries and resources available for JavaScript. In addition it provides some starting points for newbies in form of [[Beginner's Resources]]. In case you want to contribute, do take a look at [[Meta]] first for some extra pointers. Happy hacking!

In addition to this site, you might want to check out [jsgamewiki](https://github.com/DaRaFF/jsgamewiki), [Microjs](http://microjs.com/), [EveryJS](http://www.everyjs.com/) and [JSPkg](http://jspkg.com/) to find more libraries.

The following lists contain main categories of this site (sorted roughly based on page quality):

## Essentials

* [[Application Frameworks]]
* [[Mobile Frameworks]]
* [[MVC Frameworks]]
* [[MVVM Frameworks]]
* [[ServerSide libraries]]
* [[Testing frameworks]]
* [[Templating engines]]
* [[Toolkits]]
* [[Loaders]]

## Multimedia

* [[Game Engines]]
* [[Physics libraries]]
* [[Animation libraries]]
* [[Audio libraries]]
* [[Scene graphs]]

## Graphics

* [[Canvas Wrappers]]
* [[WebGL]]
* [[Image manipulation]]
* [[Visualization libraries]]
* [[SVG libraries]]
* [[Color libraries]]
* [[Mapping libraries]]

## Data

* [[Data structures]]
* [[Date libraries]]
* [[File Formats]]
* [[Storage libraries|Storage-libraries]]
* [[Strings]]

## UI

* [[UI Libraries]]
* [[Keyboard wrappers|Keyboard-wrappers]]
* [[Notifications]]
* [[Presentation libraries|Presentation-libraries]]
* [[Timing]]
* [[Touch]]

## Utilities

* [[Async / Control Flow / Event|Async---Control-Flow---Event-Libraries]]
* [[Class System]]
* [[Code protection|Code-protection]]
* [[Compilers and Parsers|https://github.com/jashkenas/coffee-script/wiki/List-of-languages-that-compile-to-JS]]
* [[Debugging Tools]]
* [[Documentation Tools]]
* [[DOM]]
* [[Functional programming]]
* [[HTML5 Cross Browser Polyfills|https://github.com/Modernizr/Modernizr/wiki/HTML5-Cross-browser-Polyfills]]
* [[Math libraries]]
* [[ECMAScript language tools|http://clausreinke.github.com/js-tools/resources.html]]
* [[Routing]]
* [[Session]]
* [[Build Utilities]]

## Applications

* [[Html5 Applications]]
* [[Code editors]]
* [[WYSIWYG editors]]