Javascript libraries for dealing with touch events, multitouch, normalizing across the Webkit/IE touch models, and all that jazz.

<hr>

_Note: these could use some categorization and better detail_

## touch event stuff
* [Touchy](https://github.com/HotStudio/touchy) - Highly configurable jQuery plugin. Exposes event data (velocity, etc) for longpress, drag, pinch, rotate, swipe. Example use cases: prevent conflict between drag and swipe; get pinch abstracted across Android and iOS; create a [single finger rotation](http://hotstudio.github.com/touchy/examples/wheel.html). 
* [mootools-mobile](https://github.com/cpojer/mootools-mobile) - Wraps click handlers with touch and provides some custom events.
* [jquery.doubletap](https://github.com/technoweenie/jquery.doubletap) - Custom touch events for jQuery. [Demo](http://techno-weenie.net/jquery.doubletap/).
* [touch-layer](https://github.com/cubiq/touch-layer) - Custom events and gestures handler for touch enable mobile devices.
* [WKTouch](https://github.com/alexgibson/WKTouch) - Hardware accelerated multi-touch drag, scale and rotate plugin for Mobile Webkit.
* [Hammer.js](http://eightmedia.github.com/hammer.js/) - A javascript library (only 2kb) for multi-touch gestures: Tap, Drag, Pinch, Hold
* http://jgestures.codeplex.com/
* http://labs.skinkers.com/touchSwipe/
* https://github.com/max-power/swipeslide
* [MagicTouch.js](https://github.com/borismus/MagicTouch) - Standards-compatible touch event polyfill to map trackpad touches to touch events. Uses NPAPI plugin.
* [Touchable](https://github.com/dotmaster/Touchable-jQuery-Plugin) - Unifies touch and mouse events
* [Touchy](https://github.com/jairajs89/Touchy.js?utm_source=javascriptweekly) - Lightweight (no dependencies) multi-touch, models individual fingers
* [thumbsjs](http://mwbrooks.github.com/thumbs.js) - from the PhoneGap team. Heavily tested on many devices. Mature.
* [YUI 3 touch abstraction](http://yuilibrary.com/yui/docs/event/touch.html) - support for subscribing to native touch and gesture events
* [jQuery Mobile vmouse](https://github.com/jquery/jquery-mobile/blob/master/js/jquery.mobile.vmouse.js) - from the jQuery Mobile team. Supports normalized handling of mouse and touch events under one event convention: vclick, vmousedown, vmouseup, vmousemove, etc.
* [interact](https://github.com/DamonOehlman/interact) - abstracted mouse and touch events into generic pointer events.  Uses [eve](https://github.com/DmitryBaranovskiy/eve) under the hood.
* [tap.js](https://github.com/alexgibson/tap.js) - A lightweight 'tap' event JavaScript plugin for mobile browsers (no dependencies)
* [tappable](https://github.com/cheeaun/tappable) - A simple, standalone library to invoke the tap event for touch-friendly web browsers.
* [jsTouchLayer](https://github.com/andyjamesdavies/jsTouchLayer) - A javascript based touch events library, agnostic of any javascript libraries.
* [dojo/touch](http://dojotoolkit.org/reference-guide/1.7/dojo/touch.html) - Dojo detection functions for touch events
* [jQuery UI Interactions](http://wiki.jqueryui.com/Interaction) - Rewrite of the existing jQuery UI interactions, now with mouse, touche and pointer (aka MSPointer) support. Work in progress, but draggable already works great for all three event APIs.

# gestures

* [Ember-Touch](https://github.com/emberjs-addons/sproutcore-touch/) - A lightweight library for building and using touch gestures with Ember Applications.
* [Jester](https://github.com/plainview/Jester) - Easy JavaScript gesture recognition for iPhone and iPad.
* [Mobile-Web-based-Gesture-Recognition](https://github.com/taitems/Mobile-Web-based-Gesture-Recognition) - Based on [Dollar](http://depts.washington.edu/aimgroup/proj/dollar/). [Demo](http://taitems.github.com/Mobile-Web-based-Gesture-Recognition/).
* [shake.js](https://github.com/alexgibson/shake.js) - A custom 'shake' event plugin for mobile web browsers using device accelerometer. (Okay, not strictly touch, but it does require you to use your hand :P)
* [dojox/gesture](http://dojotoolkit.org/reference-guide/1.7/dojox/gesture.html) - Dojo detection functions for gesture events

# scrolling

* [TouchScroll](http://uxebu.com/blog/2010/04/27/touchscroll-a-scrolling-layer-for-webkit-mobile/)
* [iScroll](http://cubiq.org/iscroll-4)
* [Scrollability](http://joehewitt.github.com/scrollability/)
* [Overthrow](https://github.com/scottjehl/Overthrow)
* [AntiScroll](http://iwantaneff.in/repo/plugins/droid-touch/antiscroll/)
* [Droid Scroll Emulation](http://iwantaneff.in/repo/plugins/droid-touch/droid.scroll/)
* [jQuery Overscroll](http://iwantaneff.in/repo/plugins/droid-touch/droid.overscroll/)
* [Zynga Scroller](http://zynga.github.com/scroller/)

# speeding up click events
* [FastButton](http://code.google.com/mobile/articles/fast_buttons.html)
* [energize.js](https://github.com/davidcalhoun/energize.js)

# debugging

* [phantom limb](http://www.vodori.com/blog/phantom-limb.html) - make desktop browsers simulate touch events. with a big hand
* [touche](https://github.com/davidcalhoun/touche)

# touch specific components

* [Swipe JS](http://swipejs.com/) - carousel (aka slider) component that is touch friendly
* [Swiper](http://www.idangero.us/sliders/swiper/) - mobile touch slider with hardware accelerated transitions
* [jQuery Mobile Pagination](https://github.com/filamentgroup/jqm-pagination) - touch-drag pagination between separate HTML documents or jQuery Mobile "pages"
* [wkslider](https://github.com/alexgibson/WKSlider) - A touch–optimised UI range slider JavaScript plugin (no dependencies)

# multimedia (videos, tutorials, etc.)
* [Video: "Creating Responsive HTML5 Touch Interfaces" (Stephen Woods, Flickr)](http://www.yuiblog.com/blog/2012/02/23/video-stephen-woods-html5-touch/)