## 3D Engines

These libraries focus only on 3D. You may need to combine them with other libs to suit your needs.

Name | Latest Release | Size (KB) | License | Unit Tests | Docs | Notes |
:-----------|:------------|:-------------|:-------------|:-------------|:-------------|:-------------|
[C3DL](http://www.c3dl.org/)|2.1 (?)||MIT|
[Curve3D](http://www.curve3d.com/)|1.0||BSD|
[CopperLicht](http://www.ambiera.com/copperlicht/)|1.3.2 (?)|||
[CubicVR.js](https://github.com/cjcliffe/CubicVR.js/)||~200 minified|MIT||[API](https://github.com/cjcliffe/CubicVR.js/wiki/CubicVR.js-API-Reference), [WIKI](https://github.com/cjcliffe/CubicVR.js/wiki)
[GLGE](http://www.glge.org/)|0.8||BSD||[API](http://www.glge.org/api-docs/)
[J3D](https://github.com/drojdjou/J3D)|
[JS3D](http://www.wxs.ca/js3d/)|0.1a (2007-02-05)||GPL|
[SceneJS](http://scenejs.org)|0.8.0b (2011-06-13)|353|MIT or GPL V2||[API](http://scenejs.org/api-docs.html), [WIKI](http://scenejs.wikispaces.com/Wiki+Home)|[EXAMPLES](http://scenejs.org/dist/curr/extr/examples/index.html)
[O3D](http://code.google.com/p/o3d/)|||BSD|
[Origami](http://projects.mariusgundersen.net/Origami3D/examples/)|
[PhiloGL](http://senchalabs.github.com/philogl/)|1.4.2||MIT||[API](http://senchalabs.github.com/philogl/doc/)|[Demos and tutorials](http://senchalabs.github.com/philogl/demos.html)||
[Pre3d](http://deanm.github.com/pre3d/)||||||[Demo](http://www.chromeexperiments.com/detail/monster/)
[Sandy 3D](http://www.flashsandy.org/)||||||Apparently compiles to JS via Haxe
[SpiderGL](http://spidergl.org/)|
[three.js](https://github.com/mrdoob/three.js)|r47(2012 01 14)|~96 gzipped|MIT||[API](https://github.com/mrdoob/three.js/wiki/API-Reference), [WIKI](https://github.com/mrdoob/three.js/wiki)| [Examples](http://mrdoob.github.com/three.js/)
[lightgl.js](https://github.com/evanw/lightgl.js)|||||[Annotated Source](http://evanw.github.com/lightgl.js/docs/main.html)

## 2D

* [IvanK](http://lib.ivank.net/)

## WebGL Helpers

* [WebGLU](https://github.com/onegeek/webglu) - WebGL helpers
* [mjs](http://code.google.com/p/webgl-mjs/) - vector and matrix math library optimized for WebGL
* [glMatrix](http://code.google.com/p/glmatrix/) - "stupidly fast" matrix/vertex math library for WebGL, 0.9.4, BSD
* [ewgl-matrices](http://code.google.com/p/ewgl-matrices/) - matrix lib for WebGL
* [TDL](https://github.com/greggman/tdl) - low-level library for WebGL apps. It focuses on speed of rendering rather than ease of use
* [GLOW](http://i-am-glow.com/) - a just-above-low-level WebGL API.
* [jaxgl](http://jaxgl.com/)
* [KineticJS](http://www.kineticjs.com/)
* [csg.js](http://evanw.github.com/csg.js/)

## WebGL Related Resources

* [WebGL standalone example](http://tehmou.github.com/WebGL-from-Scratch/)
* [learningwebgl.com](http://learningwebgl.com/blog/) - WebGL tutorials and overviews
* [The Status of WebGL in Relation to 3D Game Development](http://area.autodesk.com/blogs/chris/the_status_of_webgl_in_relation_to_3d_game_development)
* [Various WebGL tutorials](http://games.greggman.com/game/tag/webgl/)

## WebGL Applications

* [ThreeNodes.js](https://github.com/idflood/ThreeNodes.js) - vvvv clone in WebGL
* [WebGL RPG](http://www-valoria.univ-ubs.fr/Nicolas.Bonnel/3D/world/loader.html)

## Presentations

* [Basics of three.js](https://github.com/kig/BasicsOfThreeJS)

## Demos

* [Photo Particles](http://lab.aerotwist.com/webgl/photoparticles/) - [Source](https://github.com/paullewis/Photo-Particles)
* [Endless Forest](http://oos.moxiecode.com/js_webgl/forest/)
* [Morph Target](http://stickmanventures.com/labs/demo/webgl-threejs-morph-target/)