This table contains primarily HTML5 based game engines and frameworks. You might also want to check out the [[Feature Matrix|Game-Engine-Feature-Matrix]] and [[Game Resources]].

Name | Size (KB) | License | Type | Unit Tests | Docs | Repository | Notes |
:-----------|:-------------|:-------------|:-------------|:-------------|:-------------|:-------------|:------------------------------------|
[ActionJS](https://github.com/neoziro/actionJS)||||no||[github](https://github.com/neoziro/actionJS)|AS3 like in Javascript
[Akihabara](http://www.kesiev.com/akihabara/)|453|GPL2, MIT|Classic Repro|no|[API](http://tools.bostongamejams.com/akihabara/docs/index.html)|[github](https://github.com/Akihabara/akihabara) |Intended for making classic arcade-style games in JS+HTML5
[atom](https://github.com/nornagon/atom)|2.8|BSD|2D, minimal|||[github](https://github.com/nornagon/atom)|A tiny game library intended to get out of the way and let you write your game.
[Aves](http://www.wonderlandblog.com/wonderland/2010/04/aves-an-html-javascript-game-engine.html)||Commercial|||||Obsolete. Company bought by Zynga. [E3 2010 Aves Engine Prototype "Suburban World"](http://www.youtube.com/watch?v=SmtQOB_KFzU)
[bdge](https://github.com/Osmose/bdge)||||||[github](https://github.com/Osmose/bdge)|Badly Design Game Engine, an HTML5 Javascript game engine [Demo](https://github.com/Osmose/Sub-C-Adventure).
[BXG](http://www.bluega.com/bxg/)|150|Commercial|2D, Isometric, Orthogonal, Hexagonal
[CAAT](http://labs.hyperandroid.com/animation)||MIT|2D, 3D WebGL|||[github](https://github.com/hyperandroid/CAAT)|multi-instance director-based Scene graph manager
[Canvex](http://canvex.lazyilluminati.com/)|||FPS||||An experimental browser-based FPS game engine in the HTML <canvas> tag. Created in 2006
[CasualJS](http://code.google.com/p/casualjs/)|215kb zipped|Apache 2.0|2D, Flash-like|no|[API](http://www.riaidea.com/html5/casualjs/doc/)|[google code](http://code.google.com/p/casualjs/)|CasualJS provides seamless transition to HTML5 from ActionScript 3.0. Features include frame-based rendering and object collisions.
[ChesterGL](http://github.com/funkaster/ChesterGL/)||MIT|2D (WebGL/Canvas),iso,ortho||[tests](http://funkaster.github.com/ChesterGL/test/)|[github](http://github.com/funkaster/ChesterGL/)|ChesterGL is a simple scene-based 2d rendering engine, with full support for WebGL and a simple (automatic) fallback to canvas when there's no WebGL support. Support time-based actions and animations as well as TMX files and spritesheets.
[ClanFX](http://sourceforge.net/projects/clanfx/)|||Tile based||||clanfx is a 2D, tile-based Javascript game engine developed using Javascript and CSS. It currently works in Firefox, Epiphany and Opera browsers. Features include many animated sprites, spell effects, buildings, tiles/textures and basic game AI.
[Cocos2D](http://cocos2d-javascript.org)||MIT|2D||[API](http://cocos2d-javascript.org/documentation/)|[github](https://github.com/RyanWilliams/cocos2d-javascript) |Cocos2d-javascript is a 2D game/graphics engine based on cocos2d-iphone but designed to run in the web browser. It uses the latest features available in HTML 5 allowing real-time rendering of 2D graphics without the need for plug-ins such as Adobe Flash
[Construct 2](http://www.scirra.com/construct2)||Commercial (early adopter, $32 or $169) + Free Version|2D||||Construct 2 is a visual HTML5 game development tool for Windows. Aimed for both beginners and advanced users. 
[Crafty](http://craftyjs.com/)|8.7KB|GPL, MIT|||[API](http://craftyjs.com/api)|[github](https://github.com/craftyjs/Crafty) |A lightweight, modular JavaScript game engine to easily produce high quality games. Includes a large variety of components such as animation, event management, redraw regions, collision detection, sprites and more
[cssgameengine](http://sites.google.com/site/cssgameengine/)|||||||Javascript Game Engine with CSS. Aimed for beginners
[Diggy](https://github.com/lostdecade/diggy)||BSD||||[github](https://github.com/lostdecade/diggy) |DHTML-based, abandoned
[Doodle-js](http://lamberta.org/doodle-js)|17k, gzipped|BSD|2D, Flash-like|||[github](https://github.com/lamberta/doodle-js)|JavaScript animation library for Canvas. Features a scene graph and event handling. Easy to add to an existing page element where Flash no longer displays.
[EaselJS](http://easeljs.com/)|575kb zipped|MIT|2D, Flash-like||[API](http://easeljs.com/docs/)|[github](https://github.com/gskinner/EaselJS)|Developed by Grant Skinner, retained graphics mode for canvas including a full, hierarchical display list.
[Effect Games](http://www.effectgames.com/effect/)|||||||Effect Games provides free, online tools for building, sharing and playing your own browser based games.
[enchant.js](https://github.com/wise9/enchant.js)||GPL, MIT|
[EntityJS](http://entityjs.com)|27kb|MIT|2D|yes|[API](http://entityjs.com/api)|[github](https://github.com/bendangelo/entityjs)|Flexible javascript game engine utlizing entity-component design. Supports sprites, animation, collision, keyboard, mouse, math and more.
[Flax](http://flax.ie/category/flax-game-engine/)||Apache 2.0|||||Not released yet. Uses GWT and HTML5. Focus on web-based gaming for GNU/Linux and Mac OS X. [About](http://flax.ie/about/)
[FlashJS](http://flashjs.com/)||Apache 2.0||||[github](https://github.com/PixelsCommander/FlashJS)|Uses Flash development model that is verified for years. Also good for everybody who knows Flash. [About](http://flashjs.com/)
[FlixelJS](https://github.com/BillyWM/FlixelJS)||MIT|2D|||[github](https://github.com/BillyWM/FlixelJS) |[Demo](http://billy.wenge-murphy.com/flixel-js/testgame.html) Port of Flixel (Flash) to JS. [Announcement thread](http://flixel.org/forums/index.php?topic=2859.0)
[Float Engine](http://www.isometricplay.com/float-engine)||Commercial|2D, Isometric and Tile Based||||Float Engine is a 2d,isometric and tile based game engine built entirely using existing native web technologies such as HTML5, CSS3 and JavaScript 
[GameJs](http://gamejs.org/)|20-80KB|MIT|2D|yes|[API](http://gamejs.org/api/). [Tutorial](https://github.com/oberhamsi/gamejs/blob/master/docs/how-to-get-something-on-the-screen-and-move-it.md)|[github](https://github.com/oberhamsi/gamejs) | similar to PyGame (easy) for Canvas only. CommonJs modules. Comes with development server (only Java needed).
[gameQuery](http://gamequery.onaluf.org/)||MIT|||[API](http://gamequery.onaluf.org/api.php). [Docs](http://gamequery.onaluf.org/documentation.php)|[github](https://github.com/onaluf/gameQuery) |gameQuery is a jQuery plug-in to help make javascript game development easier by adding some simple game-related classes. It's still in an early stage of development and may change a lot in future versions.
[GammaJS](http://gammajs.org/)||MIT|2.5D Platform|[Tests](http://example.gammajs.org/)|[API](http://gammajs.org/api/docs/gma.html). [Tutorials](http://gammajs.org/intro/tutorials.html). [Topics](http://gammajs.org/topics/index.html)|[github](https://github.com/Royce/GammaJS) |Gamma is a new Javascript library which can be used to create 2.5D platform games for a web browser using the power of HTML, JavaScript, CSS and WebGL.
[Geom](http://www.pelisali.net/geom/)|| Commercial ($69)|2D||[Docs](http://www.pelisali.net/geom/documention)||Javascript / HTML5 Game and Content Engine with Pro Editor.
[gTile](http://game.tyler-dewitt.com/)|||Tile based|
[The GMP Javascript Game Engine](http://gogomakeplay.com/gmp)||GPL2, MIT|||[API](http://gogomakeplay.com/gmp/api). [Manual](http://gogomakeplay.com/gmp/manual)||Emphasis on speed and simplicity, "easy to learn and use"
[Hydra](http://github.com/aduros/hydra)||MIT||||[github](http://github.com/aduros/hydra) |Geared towards mobile, powering a few small commercial games. There's no documentation at all, so I wouldn't recommend it to users, but some pieces may be of interest to other engine developers, such as: How to build a library compatible with Closure Compiler's advanced optimizations, using CSS3 transitions for game animation in a sane way, and abstracting touch events to allow the use of a mouse when playing mobile games on the desktop
[Hydrax](https://github.com/dionjwa/Hydrax)||MIT||||[github](https://github.com/dionjwa/Hydrax) |Haxe port of the PushButton Engine, works with js (css and canvas), flash, and soon C++.  
[ingenioJS](http://github.com/martensms/ingenioJS)| <2KB | GPL | 2D/2.5D RPG Engine || yes,included |[github](http://github.com/martensms/ingenioJS) | JavaScript / HTML5 RPG Game Engine. Its structure allows independent rendering methods, such as WebGL, Canvas or DOM Elements. By default it makes usage of DOM Elements and a 2D environment. Currently Tile-Based and 2D, can be easily used for 2.5D and other Rendering Methods.
[Impact](http://impactjs.com/)|| Commercial ($99)|2D||[Docs](http://impactjs.com/documentation). [API](http://impactjs.com/documentation/class-reference)||Javascript / HTML5 Game Engine with world editor. [Video tutorial](http://impactjs.com/documentation/video-tutorial-create-a-game)
[Sprite.js](https://github.com/batiste/sprite.js)|23K|BSD|2D|HTML5 Game framework|[API] (http://readthedocs.org/docs/spritejs/en/latest/)|[github] (https://github.com/batiste/sprite.js)
[Isogenic Engine](http://www.isogenicengine.com)||Commercial + Free Version|Isometric & 2D||[Docs & API](http://www.isogenicengine.com/documentation/)||HTML5 Isometric & 2D Game Engine. Emphasis on real-time persistent worlds, MMO games & plugin architecture, micro-transactions, cloud-based hosting. Realtime networking. Support for canvas and HTML-based output, Node.js + MongoDB. Physics support using Box2D.
[j5g3](http://hackerhosting.com/j5g3/www/)||GPLv3||||[github](https://github.com/giancarlo/j5g3)|Still WIP
[The Javascript 2D Game Engine](http://www.lukewallin.co.uk/?go=engine)||GPL|||||Emphasis on gravity/physics/collision detection; uses HTML5 Canvas and ExplorerCanvas for IE support. Focus on limiting CPU usage. 
[Javascript Gamelib](http://www.sean.co.uk/a/webdesign/javascript_gamelib/javascript_gamelib.shtm)||GPL|||||Abandoned. Provides relatively simple routines for animation, sprites, collision detection and control.
[Jaws](http://jawsjs.com/)|33KB (minified), 86KB (full)|LGPL|2D|[Test Suite](http://jawsjs.com/jawsjs/test/)|yes|[github](https://github.com/ippa/jaws)|Jaws is a HTML5 2D game development library written in javascript. Sprite, viewport, gameLoop, input handling etc. The core to create a 2D game. Comes with examples.
[jGen](http://code.google.com/p/jgen/)|||Isometric||[wiki](http://code.google.com/p/jgen/wiki/Overview?tm=6)|[google code](http://code.google.com/p/jgen/source/browse/)|An attempt to recreate "old school" isometric techniques in the modern web browsers without using a canvas, with only JavaScript and HTML. [Map editor online demo](http://jgen.googlecode.com/svn/branches/map-editor/index.html)
[Jomoho JS](http://github.com/jomoho/jomohojs/)||MIT|2D||| [github](http://github.com/jomoho/jomohojs/)| |Framework for quick game sketching. features: preloading, animations, sound, input, tile Engine, fullscreen, requirejs asynchronous modules|
[jsGameSoup](http://mccormick.cx/projects/jsGameSoup/)||LGPLv3|2D||[API](http://mccormick.cx/projects/jsGameSoup/jsdocs/)|[bazaar](http://mccormick.cx/dev/jsgamesoup/) / [google code](http://code.google.com/p/jsgamesoup/source/browse/) |Cross browser event handling. Game entity management. Rudimentary polygon, box, circle collision detection. Sprite management. Fast, deterministic random number generator. Networking (ajax) abstraction layer. Basic cookie management. Auto-init to launch code attached to a specific HTML canvas.
[js-verge](https://github.com/mcgrue/js-verge)||MIT|2D|||[github](https://github.com/mcgrue/js-verge) |A javascript game engine largely based on (and importing file assets from) the VERGE game engine. [Demo](http://spriteright.com/)
[LimeJS](http://www.limejs.com/)||Apache License|||[API](http://limejs.digitalfruit.ee/docs/)|[github](https://github.com/digitalfruit/limejs) |Special attention to touchscreen devices. HTML5 game framework for fast, native-experience games for all modern touchscreens and desktop browsers.
[MelonJS](http://www.melonjs.org/)||unknown||||[github](https://github.com/obiot/melonJS)|Can use Tiled Map Editor, the engine is declared "lightweight"
[Mibbu](http://mibbu.eu)|4.35KB (gzip 1.81KB)|MIT|micro-framework for fast prototyping||[Mibbu page](http://mibbu.eu)|[github](https://github.com/michalbe/mibbu)|[blog post](http://michalbe.blogspot.com/2011/05/mibbu-javascript-microframework-for.html)
[Monwarp](https://github.com/monteslu/monwarp)||||||[github](https://github.com/monteslu/monwarp)|Simple game engine based on using dojo toolkit with box2dweb integration.
[Paladin](https://github.com/alankligman/paladin)|
[PixieEngine](http://pixieengine.com/)||MIT||Yes|[Docs](http://pixieengine.com/production/projects/6/docs/index.html) [Tutorials](http://blog.pixieengine.com/category/tutorial/)|[Gamelib](https://github.com/STRd6/gamelib) [IDE](https://github.com/STRd6/pixie.strd6.com)|Hosted IDE with easy import and export. CoffeeScript support.
[Play My Code](http://www.playmycode.com)||Free to use||No|[Docs](http://www.playmycode.com/docs)||Hosted IDE with asset management and image editing. Uses own language that compiles to JavaScript/HTML5.
[PlayN](http://code.google.com/p/playn)||Apache 2.0||yes|[Docs](http://code.google.com/p/playn/w/list)|[Google Code](https://code.google.com/p/playn/source/checkout)|HTML5 Canvas and WebGL, plus Flash, Android and JVM backends
[PropulsionJS](http://www.propulsionjs.com/)|19.6KB|MIT|||[API](http://www.propulsionjs.com/documentation/index.html)|[github](https://github.com/calebh/Propulsion) |Uses HTML5 Canvas element
[pp3Diso](http://www.prelude-prod.fr/demo/pp3diso/)|37.3KB|CC BY-SA 3.0|2D Isometric|no|||To display and manage an 2D isometric map. JavaScript and HTML. Compatible IE6+, Firefox, Safari, iOS, Android, Chrome, ...
[QuarkJS](https://github.com/quark-dev-team/quarkjs)|||2D||||Successor of CasualJS.
[Red Locomotive](https://github.com/RobertWHurst/Red-Locomotive)|||2D, 2.5D||
[The Render Engine](http://renderengine.com/)||MIT|2D||[API](http://renderengine.googlecode.com/svn/api/index.html). [Tutorials](http://renderengine.com/tutorials.php)|[google code](http://code.google.com/p/renderengine/source/browse/) |Object oriented. Cross-browser. Extensive API. Open-source. Supports canvas and DOM rendering. Support for Touch Input. Box2DJS Physics Engine [Features](http://renderengine.com/features.php)
[Rocket Engine](http://rocketpack.fi/engine/)||Commercial|||||Obsolete. Company bought by Disney. Canvas support. WebGL support. Supports IE8, Mobile. Orthographic and isometric tile rendering. Collision detection. Pathfinding. Real-time multi-user Level editor. Common services required by MMOs. [Demo](http://www.warimals.com/)
[Rosewood](http://rosewoodjs.blogspot.com/)|||2D|||[github](https://github.com/vonkow/Rosewood) |Rosewood is a JavaScript library/engine for creating 2d browser-based games that are somewhat in the spirit of old 16-bit games.
[RPG JS](http://rpgjs.com/)|
[Sarien.net interpreter](http://www.sarien.net/source)||GPL|2D Adventure|||[google code](http://code.google.com/p/sariendotnet/source/browse/)|Focuses on making classic Sierra style adventure games.
[Spaceport](http://spaceport.io/home)|spaceport.js is 30K|Commercial|2D, Flash-like|yes, not publicly available|[API](http://docs.spaceport.io)||Supports multiple targets (iOS, Android, Flash, HTML5). Same API as ActionScript 3, hardware accelerated vector graphics automatically converted from Flash SWFs
[Squarepig](http://squarepig.aeonofdiscord.com/)|8K|zlib|2D|no||[github](https://github.com/aeonofdiscord/squarepig)|A simple framework for learning and jamming.
[SpellScript](http://www.strategynerd.com/strategynerd/sngames/)|||Online/MUD||||WIP
[Steppe](https://github.com/andrewjbaker/Steppe)|||2.5D||||Raycast landscape renderer, not full engine (yet). 2D canvas, no WebGL! Includes a PHP port for server-side rendering where the HTML5 canvas element isn't supported.
[Traffic Cone](http://github.com/j03m/trafficcone)||MIT|2D-2.5D|||[github](http://github.com/j03m/trafficcone)|Traffic Cone is a 2D and isometric tile based game engine written for html5. It makes complex animations of sprites and tiles based worlds fairly simple. 
[Tom's Halls](http://www.codeproject.com/KB/scripting/TomsHallsJavascriptGame.aspx)|||Platform|
[TuteiJS](https://github.com/tutei/tuteijs)||MIT|2D|||[github](https://github.com/tutei/tuteijs) |Demos: 
[Unity3D](http://unity3d.com/)||Commercial|3D||||JS backend
[vegalib](http://code.google.com/p/vegalib/)||LPGL||||[google code](http://code.google.com/p/vegalib/source/browse/) |A library and other related tools for creating games using [Vexi](http://vexi.sourceforge.net/)|
[xc.js](http://www.getxc.org/)||BSD|2D||[Docs](http://www.getxc.org/tutorials.html)|[github](https://github.com/fairfieldt/xcjs) |xc.js is a framework for HTML Canvas games in Javascript